MAMPのPHPの設定

7系をインストールしてあったのだけれども、あえて古い5.6系を使う必要があったので、

 

バージョンの確認
$php -v

 

最初にインストールされているPHPのPathだと下記になります。
$ which php
/usr/bin/php

 

MAMPの入っているPHPのバージョン確認
ls -la /Applications/MAMP/bin/php
5系や7系のものがあります。

 

ルートディレクトリへ移動
$cd

$ls .bash_profile

 

なかったら、
$touch .bash_profile
$vi .bash_profile

 

PHP7.3.0ならこんな感じで記述します。
export PATH=/Applications/MAMP/bin/php/php7.3.0/bin:$PATH

 

設定の反映
$ source ~/.bash_profile

コメント